#!/usr/bin/perl
$foo = "Foo scalar";
@foo = 1 .. 5;
%foo = qw(One 1 Two 2 Three 3);
sub foo { "I'm a subroutine!"; }
*bar = *foo;  # typeglob assignment
print "Scalar is <$bar>, array is <@bar>\n";
print 'Sub returns <', bar(), ">\n";
$bar = 'Bar scalar';
@bar = 6 .. 10;
print "Scalar is <$foo>, array is <@foo>\n";
